Skip to main content
GET
/
v0
/
fees
List
curl --request GET \
  --url https://api.paygentic.io/v0/fees \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/fees"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/fees', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "fee_w9x0y1z2a3b4c5d6",
      "object": "fee",
      "createdAt": "2024-01-15T10:30:00Z",
      "description": "One-time setup fee for new customers",
      "merchantId": "org_e7f8g9h0i1j2k3l4",
      "name": "Setup Fee",
      "productId": "prod_m5n6o7p8q9r0s1t2",
      "updatedAt": "2024-01-15T10:30:00Z"
    },
    {
      "id": "fee_a1b2c3d4e5f6g7h8",
      "object": "fee",
      "createdAt": "2024-02-01T14:45:30Z",
      "description": "Monthly base subscription charge",
      "merchantId": "org_e7f8g9h0i1j2k3l4",
      "name": "Monthly Subscription",
      "productId": "prod_m5n6o7p8q9r0s1t2",
      "updatedAt": "2024-02-15T09:20:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 2
  }
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

limit
integer
default:10

Number of fees to return.

Required range: 1 <= x <= 100
merchantId
string
required

Filter fees by merchant organization ID. Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
offset
integer
default:0

Number of fees to skip.

Required range: x >= 0
productId
string

Filter fees by product ID. Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$

Response

List of fees

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required